/*******************************************************************************
 * ActorFactoryApexDestructible generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ActorFactoryApexDestructible extends ActorFactory
    native
    config(Editor)
    editinlinenew
    collapsecategories
    hidecategories(Object);

var() bool bStartAwake;
var() PrimitiveComponent.ERBCollisionChannel RBChannel;
var() const RBCollisionChannelContainer CollideWithChannels;
var() ApexDestructibleAsset DestructibleAsset;

defaultproperties
{
    RBChannel=ERBCollisionChannel.RBCC_EffectPhysics
    CollideWithChannels=(Default=true,Nothing=false,Pawn=false,Vehicle=false,Water=false,GameplayPhysics=true,EffectPhysics=true,Untitled1=false,Untitled2=false,Untitled3=false,Untitled4=false,Cloth=false,FluidDrain=false,SoftBody=false,FracturedMeshPart=false,BlockingVolume=true,DeadPawn=false,Clothing=false,ClothingCollision=false)
    GameplayActorClass=class'ApexDestructibleActorSpawnable'
    MenuName="Add ApexDestructibleActor"
    NewActorClass=class'ApexDestructibleActor'
}